@echo off
ECHO ***************************************************************************
ECHO WARNING!!!
ECHO           Please note that this important update will upgrade both BIOS 
ECHO           and BMC, and will restart the system upon completion.  
ECHO           Any previous BIOS/BMC settings and configurations will be wiped out.
ECHO           Please agree to proceed.
ECHO ***************************************************************************

CHOICE /C YNC /M "Do you agree to continue??? Yes, No, or Cancel."
IF ERRORLEVEL 2 goto END
IF ERRORLEVEL 3 goto END
IF ERRORLEVEL 1 goto START

:START

set IP=%1
set USER=%2
set PASSWD=%3

REM : the following is the default BMC IP, user name and password.
if "%IP%" == "" set IP=192.168.0.120
if "%USER%" == "" set USER=admin
if "%PASSWD%" == "" set PASSWD=admin

if exist .\winflash\ERR.LOG (
    DEL .\winflash\ERR.LOG
)

REM :[ BMC ]: it is to update BMC FW
CALL .\winflash\bmcfw_ip %IP% %USER% %PASSWD%
@echo off

REM :[ BMC ]: it is to check update status
CALL .\winflash\checkstatus BMCINFO

REM :[ BMC ]: it is waiting for bmc reset.
@echo off
ECHO [ Info ]: Please wait about 90 seconds for BMC reset.
TIMEOUT /NOBREAK /T 90

REM :[ SYS ]: it is to update system fw
@echo off
ECHO [ Info ]: Please wait a moment. it is getting system status.
CALL .\winflash\ucpld_ip %IP% %USER% %PASSWD%
@echo off

REM :[ SYS ]: it is to check update status
CALL .\winflash\checkstatus SYSINFO

REM :[ BIOS ]: it is to update BIOS fw
CALL .\winflash\biosfw_ip %IP% %USER% %PASSWD%
@echo off

REM :[ BIOS ]: it is to check update status
CALL .\winflash\checkstatus BIOSINFO

:END
@echo on