#!/bin/sh
echo "***************************************************************************"
echo "WARNING!!!"
echo "          Please note that this important update will upgrade both BIOS"
echo "          and BMC, and will restart the system upon completion. "
echo "          Any previous BIOS/BMC settings and configurations will be wiped out."
echo "          Please agree to proceed."
echo "***************************************************************************"

while true; do
    read -p "Do you agree to continue??? Yes or No. [Y,N]?" yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
        * ) echo "Please answer Yes or No";;
    esac
done

IP=$1
USER=$2
PASSWD=$3

if [ "$IP" = "" ]; then
    IP="192.168.0.120"
fi

if [ "$USER" = "" ]; then
    USER=admin
fi

if [ "$PASSWD" = "" ]; then
    PASSWD=admin
fi

cd linuxflash

# [ BMC ]: it is to update BMC FW
echo "[ Info ]: Updating BMC FW."
./ubmc_ip.sh $IP $USER $PASSWD
if [ "$?" != "0" ]; then
    echo "[ Error ]: it failed to update BMC firmware."
    exit 1
fi

# [ BMC ]: it is waiting for bmc reset.
echo "[ Info ]: Please wait about 90 seconds for BMC reset."
sleep 90

# [ SYS ]: it is to access system fw
echo "[ Info ]: Please wait a moment. it is getting system status."
./ucpld_ip.sh $IP $USER $PASSWD
if [ "$?" != "0" ]; then
    echo "[ Error ]: it failed to access SYSINFO device."
    exit 1
fi

# [ BIOS ]: it is to update BIOS fw
echo "[ Info ]: Updating BIOS FW."
./ubios_ip.sh $IP $USER $PASSWD
if [ "$?" != "0" ]; then
    echo "[ Error ]: it failed to update BIOS firmware."
     exit 1
fi

